Package org.apache.tapestry5.ioc.internal

# Class ReloadableObjectCreatorSource

java.lang.Object
org.apache.tapestry5.ioc.internal.ReloadableObjectCreatorSource

All Implemented Interfaces:
  `ObjectCreatorSource`

public class ReloadableObjectCreatorSource extends Object implements ObjectCreatorSource
Responsible for creating a `ReloadableServiceImplementationObjectCreator` for a service implementation.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReloadableObjectCreatorSource(PlasticProxyFactory proxyFactory, Method bindMethod, Class serviceInterfaceClass, Class serviceImplementationClass, boolean eagerLoad)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObjectCreator`
  `constructCreator(ServiceBuilderResources resources)`
  Provides an ObjectCreator that can be used to ultimately instantiate the core service implementation.
  `String`
  `getDescription()`
  Returns a description of the method or constructor that creates the service.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ReloadableObjectCreatorSource

    public ReloadableObjectCreatorSource(PlasticProxyFactory proxyFactory, Method bindMethod, Class serviceInterfaceClass, Class serviceImplementationClass, boolean eagerLoad)

- ## Method Details

  - ### constructCreator

    public ObjectCreator constructCreator(ServiceBuilderResources resources)
    Description copied from interface: `ObjectCreatorSource`
    Provides an ObjectCreator that can be used to ultimately instantiate the core service implementation.
    Specified by:
      `constructCreator` in interface `ObjectCreatorSource`

  - ### getDescription

    public String getDescription()
    Description copied from interface: `ObjectCreatorSource`
    Returns a description of the method or constructor that creates the service.
    Specified by:
      `getDescription` in interface `ObjectCreatorSource`